Subject: Re: best git practices, was Re: Git User's Survey 2007 unfinished summary continued

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 24 Oct 2007 16:33:35 -0400

On Wed, Oct 24, 2007 at 10:12:29PM +0200, Steffen Prohaska wrote:
> On Oct 24, 2007, at 9:48 PM, J. Bruce Fields wrote:
>
>>
>>> I want git pull to work like git push.
>>
>> That strikes me as a less complete solution, since it only helps in the
>> case where the other branches all happen to be unmodified locally (hence
>> can be fast-forwarded).  In other cases the "git push" will still emit a
>> spurious error.
>
> Well, but then there's something you should really think
> about.

Perhaps, but not necessarily; you may have some branches with local
changes that you're content to leave unpushed (and un-updated).

So the case where this proposal helps is the case where:
	- the user hasn't learned how to name individual branches on the
	  push commandline, or has learned to do so, but wants less
	  typing, and
	- the user has one or more unmodified copies of remote branches
	  lying around, and
	- the user minds being reminded that those copies are out of
	  date, and
	- the user either has no *modified* copies of local branches, or
	  has some but doesn't mind being reminded that they're out of
	  date on each push.

--b.